"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Helper_1 = require("../Helper");
var operators_1 = require("rxjs/operators");
var ProductApi = /** @class */ (function () {
    function ProductApi(context) {
        this.context = context;
    }
    ProductApi.prototype.getById = function (productId) {
        var url = this.context.baseUrl + "api.getPromotionProductDetail/" + this.context.apiKey + "?fields=productTitle,productId,productUrl,imageUrl,originalPrice,discount," +
            ("evaluateScore,volume,lotNum,salePrice,allImageUrls,localPrice&productId=" + productId + "&localCurrency=EUR&language=" + this.context.language);
        return Helper_1.Helper.get(url).pipe(operators_1.map(function (res) { return res.result; }));
    };
    ProductApi.prototype.getPromotionLinks = function (urls, trackingId) {
        var url = this.context.baseUrl + "api.getPromotionLinks/" + this.context.apiKey + "?fields=totalResults,trackingId,publisherId,url,promotionUrl&trackingId=" + (trackingId ||
            this.context.trackingId) + "&urls=" + urls.join(',');
        return Helper_1.Helper.get(url).pipe(operators_1.map(function (res) { return res.result; }));
    };
    return ProductApi;
}());
exports.ProductApi = ProductApi;
